import java.util.Arrays;

/*ghassan fakher
 * gkf01
 section 6*/


public class Die {
	private int[] faces;
	public Die()
	{
		faces = new int[6];
		for(int i = 0; i < faces.length; i++)
			faces[i] = i + 1;
	}
	//constructor that constructs a new die but increases the chance to obtain face by n
	public Die(int face, int n) throws IllegalArgumentException
	{
		if(face > 6 || face < 1)
			throw new IllegalArgumentException("the given number is a face of a die, it must be between 1 and 6 inclusive");
		else
		{
			faces = new int[6 + n - 1];	//expanding the array
			for(int i = 0; i < 6; i++)
			{
				if(i + 1 < face)
					faces[i] = i + 1;
				else if(i+ 1 > face)
					faces[i + n - 1] = i + 1;
				else
				{
					for(int j = face; j < face + n; j++)
						faces[j - 1] = face;
				}
			}
		}
	}
	public int roll()
	{
		return faces[(int)(Math.random() * faces.length)];
	}
	public String toString()
	{
		return Arrays.toString(faces);
	}
	public static void main(String[] args)
	{
		Die one = new Die();
		Die two = new Die(1 , 3);
		System.out.println(one.toString());
		StdOut.println(two.toString());
		StdOut.println("the number obtained from the roll of the second dice is : " + two.roll());
	}
}
