//||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||//
/*ghassan fakher
 * gkf01
 section 6*/

//````````````````````````````````````````````Checks whether the die is fair or not based on a chi squared statistic```````````````````````````````//

public class FairDie {
	public static void main(String[] args)
	{
		int N = Integer.parseInt(args[0]);
		Die a = new Die(1 , 2);
		if(checkFair(N, a))
			System.out.println("Fair Die");
		else
			System.out.println("UnFair Die");
	}
	public static boolean checkFair(int N, Die a)
	{
		int[] occurences = new int[6];
		for(int i = 0; i < N; i++)
		{
			int roll = a.roll();
			occurences[roll - 1]++;
		}
		double chiSquared = chiSquare(N, occurences);
		System.out.println("The chi square is : " + chiSquared);
		return(chiSquared < 0.02);
	}	
	public static double chiSquare(int N, int[] occurences)
	{
		double chiSquared = 1 / (6 * Math.pow(N, 2));
		int x = 0;
		for(int i = 0; i < 6; i++)
		{
			x += Math.pow(6 * occurences[i] - N, 2);
		}
		chiSquared *= x;
		return chiSquared;
	}	
}
//""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""//
